Bug 892823 - (CVE-2013-0275, CVE-2013-1770) CVE-2013-0275 CVE-2013-1770 ganglia: several XSS flaws in ganglia-web
CVE-2013-0275 CVE-2013-1770 ganglia: several XSS flaws in ganglia-web
Status: NEW
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20130118,repor...
: Security
Depends On: 892301 909427
Blocks:
  Show dependency treegraph
 
Reported: 2013-01-07 17:56 EST by Vincent Danen
Modified: 2016-03-04 06:14 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Vincent Danen 2013-01-07 17:56:22 EST
A number of XSS flaws were reported in the Ganglia web frontend.

These flaws are not currently public.
Comment 1 Vincent Danen 2013-02-08 13:03:09 EST
Looks like the fixes for these are here:

https://github.com/ganglia/ganglia-web/commit/31d348947419058c43b8dfcd062e2988abd5058e
Comment 2 Vincent Danen 2013-02-08 13:05:39 EST
Created ganglia tracking bugs for this issue

Affects: fedora-all [bug 892301]
Affects: epel-all [bug 909427]
Comment 3 Vincent Danen 2013-02-08 13:07:52 EST
CVE request:

http://www.openwall.com/lists/oss-security/2013/02/08/5
Comment 4 Jan Lieskovsky 2013-02-09 05:34:05 EST
The CVE identifier of CVE-2013-0275 has been assigned to this issue:
  http://www.openwall.com/lists/oss-security/2013/02/08/6
Comment 5 Vincent Danen 2013-03-14 16:35:11 EDT
There are other unfixed XSS issues as noted here:

http://www.openwall.com/lists/oss-security/2013/02/26/11

They received the name CVE-2013-1770
Comment 6 Vincent Danen 2013-03-25 17:27:35 EDT
CVE-2013-1770 (the other unfixed XSS issues) have been noted as being fixed via this commit:

https://github.com/ganglia/ganglia-web/commit/552965f33bf79d41ccbec3f1f26840c8bab54ad6

Note You need to log in before you can comment on or make changes to this bug.